package fc.accessible;

import java.util.Properties;

public class FCAccessibleProperties extends Properties {
	
    public FCAccessibleProperties() {
    	super();
    }
    
    public FCAccessibleProperties getDefaults() {
    	return (FCAccessibleProperties)defaults;
    }
    
    public String getProperty( String pKey, boolean pCheckDefault ) {
    	
    	if ( pCheckDefault ) {
    		return getProperty( pKey );
    	} else {
    		
    		Object oval = super.get( pKey );
    		
    		return (oval instanceof String) ? (String)oval : null;
    		
    	}
    	
    }
    
    public void setDefaults( FCAccessibleProperties pDefault ) {
    	defaults = pDefault;
    }
    
}

